<template>
  <st-content heading="Mis tutorías">
    <div class="content-body">
      <div class="table-heading">
        <st-search
          text="Buscar por nombre de tutoría"
          @enter="search($event)"
        />
      </div>
      <st-data-table
        :dataInfo = "{ headers,items,key }"
        :dataPath = "path"
        :loading = "loading"
      ></st-data-table>
    </div>
  </st-content>
</template>

<script>
  import DataTable from '@/components/DataTable'
  import Select from '@/components/Select'
  import Search from '@/components/Search'

  export default {
  data () {
    return{
      key:'idTutoria',
      items: [],
      dialog: false,
      loading:false,
      componentKey: 0,
      path:{
        url: '/alumno/tutorias/',
        id: 'idTutoria'
      },
      headers: [
        {
          text: 'Nombre de la tutoría',
          align: 'start',
          sortable: false,
          value: 'nombre',
        },
        {
          text: 'Unidad',
          value: 'unit',
        },
      ],
      filters:{
        search:'',
        estadoTut:'',
      }
    }
  },
  components: {
    'st-data-table' : DataTable,
    'st-select' : Select,
    'st-search': Search,
  },
  methods: {
    async search(value){
      this.loading = true
      try{
        let { data: { data } } = await this.$api.getStudentTutorships(this.$store.state.role.id,value)
        this.items = data.tutorias.filter((item) => {
          if (item.nombre !== 'Tutoría de Momento') return true //muere si le cambian el nombre xdd
        })
        } catch (e) {
          this.$store.commit('setError', e)
      }
      this.loading = false
    },
  },
  mounted(){
    this.search('')
  }
}
</script>

<style scoped lang="scss">
/* scope for encapsulate css */
</style>
